

## thread

Check the basic info and stack trace of the target thread.

### Parameters

|  Name   | Specification  |
|  ----  | ----  |
| id  | thread id in JVM |
| [n:]  | the top n busiest threads with stack traces printed |
| [b]  | locate the thread blocking the others |
| [i <value>]  | specify the interval to collect data to compute CPU ratios (ms) |
|[--all]|Show all matching threads|
